Skip to main content
PATCH
/
v0
/
alerts
/
{alertId}
Toggle alert status
curl --request PATCH \
  --url https://api.formo.so/v0/alerts/{alertId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "active"
}
'
{
  "isSuccess": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "trigger_type": "event",
    "status": "active",
    "project_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "trigger_filters": [
      {
        "name": "<string>",
        "value": "<string>",
        "operator": "<string>",
        "numericThreshold": "<string>"
      }
    ],
    "recipient": [
      {
        "type": "email",
        "value": [
          "<string>"
        ]
      }
    ],
    "has_secret": true
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Path Parameters

alertId
string
required

Body

application/json
status
enum<string>
required
Available options:
active,
inactive

Response

200 - application/json

Alert status updated

isSuccess
boolean
data
object